%define		rpm_macros_rev	1.723
%define		find_lang_rev	1.38
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Source5:	rpm.macros.kernel
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# macros.d/kernel
Conflicts:	rpm-build < 5.4.15-6
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .
cp -p %{SOURCE5} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d

cp -p rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
cp -p rpm.macros.kernel $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/kernel

install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}/dokuwiki-find-lang.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%{_usrlibrpm}/macros.d/kernel
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Sun Jan 01 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Sun Jan 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f1e00d6
- 1.723; fix compressing man pages with spaces inside filenames

* Wed Dec 28 2016 Jan Rękorajski <baggins@pld-linux.org> c8c0d5f
- fix too many slashes in update_mime_database macro
- 1.722

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> b541a24
- added _soname_prov and journal_catalog_update macros
- drop arm macro from macros.build (more recent version already defined in macros.rpmbuild)
- version 1.721

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 90a48f1
- document _noautoreq_pyegg, _noautoreq_py3egg

* Tue Sep 06 2016 Tomasz Pala <gotar@pld-linux.org> aa13c88
- fixed %systemd_post

* Wed Aug 24 2016 Tomasz Pala <gotar@pld-linux.org> 15bb289
- don't be quiet when enabling systemd native service in place of SysV one

* Wed Aug 24 2016 Tomasz Pala <gotar@pld-linux.org> 600eea4
- remove --quiet option for systemctl actions that do not support it

* Wed Aug 24 2016 Tomasz Pala <gotar@pld-linux.org> 2aa5588
- pass RPM_SKIP_AUTO_RESTART value of a service to %systemd_post

* Wed Aug 24 2016 Tomasz Pala <gotar@pld-linux.org> 35d0c9a
- stop INSANE delay

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> d46b35f
- v1.720: add %fish_compdir

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> cdb851a
- don't hide output; refs 3303369

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> ea132ee
- v1.719: add %zsh_compdir

* Sun Aug 07 2016 Tomasz Pala <gotar@pld-linux.org> 3303369
- use systemctl preset instead enable where appropriate

* Tue Aug 02 2016 Jan Palus <atler@pld-linux.org> 261c16b
- hardcode /usr/share/vim/doc in %vim_doc_helptags

* Mon Aug 01 2016 Jan Palus <atler@pld-linux.org> 705210a
- ver 1.718: added %vim_doc_helptags

* Wed Jun 29 2016 Elan Ruusamäe <glen@delfi.ee> 1719784
- v1.717: %py_install_opts, %py3_install_opts

* Tue Apr 26 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> b5868bc
- fix __spec_install_post_check_shebangs for spaces

* Sun Apr 24 2016 Jan Palus <atler@pld-linux.org> 8389937
- drop usage of O= in kernel module macros; ver 1.715

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> a19af47
- find-lang: v1.38

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 1cf8bd2
- cosmetics

